test1: exercise_04_15
	./exercise_04_15 < test1.input

exercise_04_15: exercise_04_15.o .gitignore
	clang++ exercise_04_15.o -o exercise_04_15

exercise_04_15.o: exercise_04_15.s
	clang++ -c exercise_04_15.s -o exercise_04_15.o

exercise_04_15.s: exercise_04_15.ii
	clang++ -S exercise_04_15.ii -o exercise_04_15.s

exercise_04_15.ii: exercise_04_15.cpp
	clang++ -E exercise_04_15.cpp -o exercise_04_15.ii

.gitignore:
	echo exercise_04_15 > .gitignore

clean:
	rm -rf *.ii *.s *.o exercise_04_15
